﻿// historymanager.js
// (2007/08/07)

/** @fileOverview
 * スキン側でも履歴を管理してみようの巻。
 * コンテキストメニューもどきと連携させてみる
 */

/** 板の ID と名称の対応テーブル
 * @type Object
 * @example
 * dump(boardTable["liveetv"]); //  "番組ch(NHK教育)"
 */
var boardTable = {
"namazuplus":"地震速報",
"eq":"臨時地震",
"eqplus":"臨時地震+",
"manifesto":"政治家語録",
"bizplus":"ビジネスnews+",
"mnewsplus":"芸スポ速報+",
"femnewsplus":"美人ニュース+",
"be":"面白ネタnews",
"nandemo":"なんでも質問",
"argue":"朝生",
"newsplus":"ニュース速報+",
"wildplus":"ニュース二軍+",
"moeplus":"萌えニュース+",
"dqnplus":"痛いニュース+",
"scienceplus":"科学ニュース+",
"owabiplus":"お詫び+",
"liveplus":"ニュース実況+",
"news":"ニュース速報",
"trafficinfo":"交通情報",
"musicnews":"芸能音楽速報",
"comicnews":"アニメ漫画速報",
"gamenews":"ゲーム速報",
"pcnews":"PCニュース",
"news7":"私のニュース",
"archives":"懐かしニュース",
"news2":"ニュース議論",
"asia":"ニュース極東",
"bakanews":"バカニュース",
"editorial":"社説",
"kokusai":"国際情勢",
"news4plus":"東アジアnews+",
"news5":"イスラム情勢",
"iraq":"イラク情勢",
"news5plus":"ニュース国際+",
"entrance":"ラウンジ",
"entrance2":"ラウンジclassic",
"qa":"初心者の質問",
"pcqa":"PC初心者",
"goods":"グッズリスト",
"gline":"ガイドライン",
"event":"イベント企画",
"2chse":"2ch証券取引所",
"dataroom":"資料室",
"vote":"投票所",
"operate":"運用情報",
"operatex":"運用情報（超臨時）",
"sec2ch":"規制情報",
"sec2chd":"規制議論",
"saku2ch":"削除要請",
"saku":"削除整理",
"sakud":"削除議論",
"sakukb":"削除知恵袋",
"intro":"自己紹介",
"honobono":"ほのぼの",
"yume":"夢・独り言",
"offmatrix":"大規模OFF",
"offreg":"定期OFF",
"offevent":"突発OFF",
"aasaloon":"AAサロン",
"mona":"モナー",
"nida":"ニダー",
"aastory":"AA長編",
"kao":"顔文字",
"mass":"マスコミ",
"youth":"少年犯罪",
"disaster":"自然災害",
"gender":"男性論女性論",
"giin":"議員・選挙",
"police":"警察",
"court":"裁判・司法",
"soc":"社会・世評",
"atom":"環境・電力",
"river":"河川・ダム等",
"traf":"運輸・交通",
"recruit":"就職",
"job":"転職",
"volunteer":"ボランティア",
"welfare":"介護・福祉",
"mayor":"地方自治知事",
"jsdf":"自衛隊",
"nenga":"郵便・郵政",
"lifework":"生涯学習",
"regulate":"通信行政",
"venture":"起業・ベンチャー",
"manage":"経営学",
"management":"店舗運営",
"estate":"賃貸分譲不動産",
"koumu":"公務員",
"shikaku":"法律勉強相談",
"lic":"資格全般",
"haken":"派遣業界",
"hoken":"保険業界",
"tax":"税金経理会計",
"exam":"会計全般試験",
"hosp":"病院・医者",
"bio":"医療業界",
"hikari":"光通信",
"dtp":"DTP・印刷",
"part":"アルバイト",
"koukoku":"広告業界",
"agri":"農林水産業",
"build":"建設・住宅業界",
"peko":"食品業界・問題",
"company":"ちくり裏事情",
"bouhan":"防犯・詐欺対策",
"antispam":"架空請求・スパム対策",
"ihou":"薬・違法",
"ihan":"違反の潰し方",
"expo":"万博・地方博",
"subcal":"サブカル",
"bun":"創作文芸",
"poem":"詩・ポエム",
"movie":"映画一般・8mm",
"cinema":"映画作品・映画人",
"rmovie":"懐かし邦画",
"kinema":"懐かし洋画",
"occult":"オカルト",
"sfx":"特撮！",
"rsfx":"昭和特撮",
"drama":"演劇・舞台役者",
"siki":"宝塚・四季",
"fortune":"占い",
"uranai":"占術理論実践",
"kyoto":"神社仏閣",
"gallery":"美術鑑賞",
"rakugo":"伝統芸能",
"ruins":"世界遺産",
"rikei":"理系全般",
"sci":"物理",
"life":"生物",
"bake":"化学",
"kikai":"機械・工学",
"denki":"電気・電子",
"robot":"ロボットテクノロジー",
"infosys":"情報システム",
"informatics":"情報学",
"sim":"シミュレーション",
"nougaku":"農学",
"sky":"天文・気象",
"doctor":"医歯薬看護",
"kampo":"東洋医学",
"math":"数学",
"doboku":"土木・建築",
"material":"材料物性",
"space":"航空・船舶",
"future":"未来技術",
"wild":"昆虫・野生動物",
"earth":"地球科学",
"psycho":"心理学",
"gengo":"言語学",
"pedagogy":"教育学",
"sociology":"社会学",
"economics":"経済学",
"book":"文学",
"poetics":"詩文学",
"history":"日本史",
"history2":"日本近代史",
"whis":"世界史",
"archeology":"考古学",
"min":"民俗・神話学",
"kobun":"古文・漢文・漢字",
"english":"English",
"korea":"ハングル",
"china":"中国",
"taiwan":"台湾",
"geo":"地理・人類学",
"chiri":"地理お国自慢",
"gogaku":"外国語",
"art":"芸術デザイン",
"philo":"哲学",
"jurisp":"法学",
"shihou":"司法試験",
"kaden":"家電製品",
"wm":"ポータブルオーディオ",
"vcamera":"ビデオカメラ",
"bakery":"調理家電",
"toilet":"シャワートイレ・トイレ",
"sony":"ソニー",
"phs":"携帯・PHS",
"keitai":"携帯機種",
"chakumelo":"携帯コンテンツ",
"appli":"携帯電話ゲーム",
"dgoods":"デジタルモノ",
"camera":"カメラ",
"dcamera":"デジカメ",
"av":"AV機器",
"pav":"ピュアオーディオ",
"seiji":"政治",
"diplomacy":"外交政策",
"trafficpolicy":"交通政策",
"eco":"経済",
"stock":"株式",
"stockb":"株個別銘柄",
"market":"投資一般",
"livemarket1":"市況1",
"livemarket2":"市況2",
"deal":"先物",
"koumei":"創価・公明",
"kyousan":"共産党",
"sisou":"政治思想",
"kova":"ゴーマニズム宣言",
"money":"金融",
"food":"食べ物",
"candy":"お菓子・甘味",
"juice":"ソフトドリンク",
"pot":"お茶・珈琲",
"cook":"料理",
"salt":"調味料",
"ramen":"ラーメン",
"nissin":"インスタント麺",
"jnoodle":"そば・うどん",
"sushi":"おすし",
"don":"丼(重禁止)",
"curry":"カレー",
"bread":"パン",
"pasta":"パスタ・ピザ",
"kbbq":"焼肉",
"konamono":"たこ焼き等",
"toba":"珍味",
"gurume":"グルメ外食",
"famires":"ファミレス",
"jfoods":"Ｂ級グルメ",
"bento":"弁当・駅弁",
"sake":"お酒・Bar",
"wine":"ワイン",
"drunk":"居酒屋",
"recipe":"レシピ",
"patissier":"製菓・製パン",
"supplement":"健康食品・サプリメント",
"lifesaloon":"生活サロン",
"kankon":"生活全般",
"okiraku":"その日暮らし",
"homealone":"一人暮らし",
"countrylife":"田舎暮らし",
"debt":"借金生活",
"inpatient":"入院生活",
"sportsclub":"スポーツクラブ",
"bath":"お風呂・銭湯",
"anniversary":"記念日",
"sousai":"冠婚葬祭",
"baby":"育児",
"kagu":"家具・インテリア",
"diy":"DIY",
"shop":"通販・買い物",
"trend":"流行",
"ticketplus":"Walker+",
"model":"モデル",
"fashion":"ファッション",
"shoes":"靴",
"female":"化粧",
"diet":"美容",
"seikei":"美容整形",
"shapeup":"ダイエット",
"world":"一般海外生活",
"northa":"北米海外生活",
"credit":"クレジット",
"point":"ポイント・マイル",
"cafe30":"３０代",
"cafe40":"４０代",
"cafe50":"５０代以上",
"live":"家庭",
"souji":"掃除全般",
"goki":"ゴキ(生物被害対策本部)",
"kechi2":"ドケチ",
"chance":"懸賞・プレゼント",
"cigaret":"たばこ",
"megane":"めがね・コンタクト",
"yuusen":"電話会社",
"conv":"コンビニ",
"sale":"バーゲンセール",
"stationery":"文房具",
"class":"習い事",
"shar":"新シャア専用",
"x3":"旧シャア専用",
"denpa":"電波・お花畑",
"owarai":"お笑い小咄",
"2chbook":"同人ノウハウ",
"uwasa":"噂話",
"charaneta":"キャラネタ",
"charaneta2":"なりきりネタ",
"mascot":"マスコットキャラクター",
"lovesaloon":"恋愛サロン",
"ex":"カップル",
"x1":"×１",
"gaysaloon":"同性愛サロン",
"nohodame":"のほほんダメ",
"dame":"無職・だめ",
"loser":"負け組",
"hikky":"引きこもり",
"mental":"メンヘルサロン",
"single":"独身貴族",
"wom":"女性",
"sfe":"独身女性限定",
"wmotenai":"もてない女",
"ms":"既婚女性",
"male":"独身男性",
"motetai":"もてたい男",
"motenai":"モテない男性",
"alone":"孤独な男性",
"tomorrow":"既婚男性",
"employee":"リーマン",
"campus":"大学生活",
"student":"大学学部・研究",
"otaku":"おたく",
"nendai":"年代別",
"sepia":"セピア",
"gag":"駄洒落",
"575":"しりとり",
"tanka":"五七五・短歌",
"4649":"アウトロー",
"livesaturn":"なんでも実況S",
"livevenus":"なんでも実況VIP",
"livejupiter":"なんでも実況J",
"liveuranus":"なんでも実況U",
"endless":"実況ch",
"weekly":"番組ch",
"livewkwest":"番組ch(西日本)",
"livenhk":"番組ch(NHK)",
"liveetv":"番組ch(NHK教育)",
"liventv":"番組ch(NTV)",
"livetbs":"番組ch(TBS)",
"livecx":"番組ch(フジ)",
"liveanb":"番組ch(テレビ朝日)",
"livetx":"番組ch(TV東京)",
"livebs":"BS実況ch(NHK)",
"livewowow":"BS実況ch(民放)",
"liveskyp":"スカパー実況",
"liveradio":"ラジオ実況",
"dome":"スポーツch",
"livebase":"野球ch",
"livefoot":"サッカーch",
"oonna":"オリンピック実況(女)",
"ootoko":"五輪実況(男)",
"dancesite":"芸能ch",
"festival":"お祭り会場",
"edu":"教育・先生",
"jsaloon":"大学受験サロン",
"kouri":"大学受験",
"juku":"学習塾・予備校",
"ojyuken":"お受験",
"senmon":"専門学校",
"design":"美術・デザイン学校",
"musicology":"音楽系学校",
"govexam":"公務員試験",
"hobby":"趣味一般",
"magic":"手品・曲芸",
"card":"トランプ",
"puzzle":"パズル",
"craft":"手芸・ハンドクラフト",
"toy":"おもちゃ",
"zoid":"ゾイド",
"smoking":"煙草銘柄・器具",
"knife":"刃物",
"doll":"お人形",
"engei":"園芸",
"dog":"犬猫大好き",
"pet":"ペット大好き",
"aquarium":"アクアリウム",
"goldenfish":"日本の淡水魚",
"insect":"昆虫",
"cat":"生き物苦手",
"bike":"バイク",
"car":"自動車",
"kcar":"軽自動車",
"auto":"車種・車メーカー",
"usedcar":"中古車",
"truck":"大型車・特殊車両",
"army":"軍事",
"radio":"無線",
"train":"鉄道総合",
"rail":"鉄道路線・車両",
"ice":"鉄道(海外)",
"gage":"鉄道模型",
"bus":"バス・バス路線",
"airline":"エアライン",
"mokei":"模型・プラモ",
"radiocontrol":"RC（ラジコン)",
"gun":"サバイバルゲーム",
"fireworks":"花火",
"warhis":"三国志・戦国",
"chinahero":"中国英雄",
"sengoku":"戦国時代",
"nanminhis":"歴史難民",
"dance":"ダンス",
"bird":"野鳥観察",
"collect":"コレクション",
"photo":"写真撮影",
"sposaloon":"スポーツサロン",
"sports":"スポーツ",
"rsports":"なつかしスポーツ",
"stadium":"競技場・スポーツ施設",
"athletics":"陸上競技",
"gymnastics":"体操・新体操",
"muscle":"ウエイトトレーニング",
"noroma":"運動音痴",
"wsports":"冬スポーツ",
"ski":"スキー・スノボ",
"skate":"スケート",
"swim":"水泳(競泳・演技)",
"msports":"マリンスポーツ",
"boat":"船スポーツ",
"birdman":"空スポーツ",
"fish":"釣り",
"bass":"バス釣り",
"bicycle":"自転車",
"equestrian":"乗馬・馬術",
"f1":"F1・モータースポーツ",
"olympic":"オリンピック",
"bullseye":"的スポーツ",
"parksports":"公園スポーツ",
"amespo":"アメスポ",
"cheerleading":"チアリーディング",
"xsports":"X-Sports",
"base":"プロ野球",
"npb":"球界改革議論",
"meikyu":"野球殿堂",
"mlb":"野球総合",
"hsb":"高校野球",
"kyozin":"アンチ球団",
"soccer":"国内サッカー",
"eleven":"日本代表サッカー",
"wc":"ワールドカップ",
"football":"海外サッカー",
"basket":"バスケット",
"tennis":"テニス",
"volley":"バレーボール",
"ovalball":"ラグビー",
"pingpong":"卓球",
"gutter":"ボウリング",
"golf":"ゴルフ",
"billiards":"ビリヤード",
"k1":"格闘技",
"wres":"プロレス",
"budou":"武道・武芸",
"boxing":"ボクシング",
"sumou":"相撲",
"jyudo":"伝統武術",
"oversea":"海外旅行",
"21oversea":"危ない海外",
"travel":"国内旅行",
"hotel":"ホテル･旅館",
"localfoods":"みやげ物・特産物",
"tropical":"トロピカル",
"onsen":"温泉",
"park":"遊園地",
"zoo":"動物園・水族館・植物園等",
"museum":"博物館・美術館・記念館等",
"out":"登山キャンプ",
"tvsaloon":"テレビサロン",
"kouhaku":"年末年始番組",
"tv":"テレビ番組",
"natsutv":"懐かしテレビ",
"tvd":"テレビドラマ",
"nhkdrama":"大河ドラマ",
"natsudora":"懐かしドラマ",
"kin":"時代劇",
"am":"ラジオ番組",
"rradio":"懐かしラジオ",
"tv2":"海外テレビ",
"cs":"ケーブルＴＶ",
"skyp":"スカパー",
"bs":"BS・地上波デジタル",
"nhk":"NHK",
"cm":"広告・ＣＭ",
"geino":"芸能",
"celebrity":"海外芸能人",
"kyon2":"懐かしアイドル/芸能人",
"actor":"男性俳優",
"actress":"女優",
"geinoj":"ジュニアアイドル・子役",
"geinin":"お笑い芸人",
"ana":"アナウンサー",
"ami":"あみ＆あゆ",
"apple":"椎名林檎",
"ainotane":"モ娘（羊）",
"zurui":"モ娘（鳩）",
"mendol":"男性アイドル",
"idol":"女性アイドル",
"jan":"ジャニーズ",
"smap":"スマップ",
"jr":"ジャニーズ２",
"jr2":"ジャニーズJr",
"mj":"麻雀・他",
"pachi":"パチンコサロン",
"pachij":"パチンコ店情報",
"pachik":"パチンコ機種・メーカー",
"slot":"スロットサロン",
"slotj":"スロット店情報",
"slotk":"スロット機種",
"keiba":"競馬",
"uma":"競馬２",
"keirin":"競輪",
"kyotei":"競艇",
"autorace":"オートレース",
"gamble":"ギャンブル",
"loto":"宝くじ",
"gsaloon":"ゲームサロン",
"gameover":"家庭用ゲーム攻略",
"goveract":"家ゲーアクション攻略",
"goverrpg":"家ゲーRPG攻略",
"gamerpg":"家ゲーRPG",
"ff":"FF・ドラクエ",
"gamesrpg":"家ゲーSRPG",
"gamerobo":"ロボットゲー",
"gal":"ギャルゲー",
"gboy":"女向ゲーム大人",
"ggirl":"女向ゲーム一般",
"gamespo":"スポーツゲーム・レースゲーム",
"gamehis":"歴史ゲーム",
"otoge":"音ゲー",
"gamefight":"格闘ゲーム",
"gamestg":"シューティング",
"gamef":"PCアクション",
"fly":"フライトシム",
"famicom":"家庭用ゲーム",
"retro":"レトロゲーム",
"retro2":"家庭用レトロゲーム",
"game90":"90年代家ゲー",
"arc":"アーケード",
"amusement":"メダル・プライズ・エレメカ・アミューズメント",
"gecen":"ゲーセン",
"game":"PCゲーム",
"gameama":"同人ゲーム",
"gameswf":"ブラウザゲーム",
"cgame":"卓上ゲーム",
"tcg":"TCG",
"bgame":"将棋・チェス",
"gamestones":"囲碁・オセロ",
"quiz":"クイズ雑学",
"ghard":"ハード・業界",
"gameurawaza":"裏技・改造",
"gamechara":"ゲームキャラ",
"gamemusic":"ゲーム音楽",
"handygame":"携帯ゲームソフト",
"handygover":"携帯ゲーム攻略",
"handygrpg":"携帯ゲームRPG",
"poke":"ポケモン",
"wifi":"Wi-Fiコネクション",
"rhandyg":"携帯ゲームレトロ",
"pokechara":"携帯ゲームキャラクター",
"mmonews":"ネトゲ速報",
"mmoqa":"ネトゲ質問",
"ogame":"ネトゲ実況",
"ogame2":"ネトゲ実況2",
"ogame3":"ネトゲ実況3",
"mmosaloon":"ネトゲサロン",
"netgame":"ネットゲーム",
"mmo":"大規模MMO",
"mmominor":"小規模MMO",
"asaloon":"アニメサロン",
"anime4vip":"アニメサロンex",
"anime":"アニメ",
"anime2":"アニメ２",
"anime3":"アニメ新作情報",
"ranime":"懐かしアニメ昭和",
"ranimeh":"懐かしアニメ平成",
"animovie":"アニメ映画",
"anichara":"アニキャラ総合",
"anichara2":"アニキャラ個別",
"cosp":"コスプレ",
"voice":"声優総合",
"voiceactor":"声優個人",
"doujin":"同人",
"comiket":"同人イベント",
"csaloon":"漫画サロン",
"comic":"漫画",
"rcomic":"懐かし漫画",
"ymag":"少年漫画",
"wcomic":"週刊少年漫画",
"gcomic":"少女漫画",
"4koma":"４コマ漫画",
"cchara":"漫画キャラ",
"sakura":"CCさくら",
"eva":"エヴァンゲリオン",
"cartoon":"海外アニメ漫画",
"iga":"アニメ・漫画業界",
"bookall":"文芸・書籍サロン",
"magazin":"ライトノベル",
"mystery":"ミステリー",
"sf":"SF・Fantasy・ホラー",
"zassi":"雑誌",
"books":"一般書籍",
"ehon":"絵本",
"juvenile":"児童書",
"illustrator":"イラストレーター",
"msaloon":"音楽サロン",
"mjsaloon":"邦楽サロン",
"musicj":"邦楽",
"musicjm":"邦楽男性ソロ",
"musicjf":"邦楽女性ソロ",
"musicjg":"邦楽グループ",
"natsumeloj":"懐メロ邦楽",
"enka":"演歌",
"mesaloon":"洋楽サロン",
"musice":"洋楽",
"natsumeloe":"懐メロ洋楽",
"music":"音楽一般",
"beatles":"ビートルズ",
"visual":"ヴィジュアルサロン",
"visualb":"ヴィジュアルバンド",
"dj":"ＤＪ・クラブ",
"disco":"ディスコ",
"randb":"R&B・SOUL",
"punk":"パンク",
"hrhm":"HR・HM",
"hiphop":"HIPHOP",
"techno":"TECHNO",
"progre":"プログレ",
"healmusic":"ヒーリング音楽",
"wmusic":"ワールド音楽",
"classic":"ジャズ",
"fusion":"フュージョン",
"classical":"クラシック",
"contemporary":"現代音楽",
"nika":"エレクトロニカ、ポストロック、音響系",
"suisou":"吹奏楽",
"chorus":"合唱",
"doyo":"童謡・唱歌",
"asong":"アニソン等",
"soundtrack":"サントラ",
"karaok":"カラオケ",
"legend":"伝説の",
"minor":"インディーズ",
"band":"バンド",
"compose":"楽器・作曲",
"piano":"鍵盤楽器",
"healing":"癒し",
"jinsei":"人生相談",
"psy":"心と宗教",
"body":"身体・健康",
"handicap":"ハンディキャップ",
"infection":"新型感染症",
"hiv":"HIVサロン",
"atopi":"アトピー",
"allergy":"花粉症・アレルギー",
"hage":"ハゲ・ズラ",
"pure":"純情恋愛",
"furin":"不倫・浮気",
"gay":"同性愛",
"utu":"メンタルヘルス",
"break":"失恋",
"pc2nanmin":"PCサロン",
"win":"Windows",
"jobs":"旧・mac",
"mac":"新・mac",
"os":"OS",
"desktop":"デスクトップ",
"pc":"パソコン一般",
"notepc":"ノートPC",
"jisaku":"自作PC",
"printer":"プリンタ,スキャナー",
"hard":"ハードウェア",
"cdr":"CD-R,DVD",
"software":"ソフトウェア",
"mobile":"モバイル",
"bsoft":"ビジネスsoft",
"unix":"UNIX",
"db":"データベース",
"linux":"Linux",
"prog":"プログラマー",
"tech":"プログラム技術",
"cg":"CG",
"dtm":"DTM",
"avi":"映像制作",
"swf":"FLASH・動画",
"gamedev":"ゲーム製作技術",
"i4004":"昔のPC",
"internet":"インターネット",
"download":"ダウンロードソフト",
"hp":"Web制作管理",
"affiliate":"Web収入",
"hosting":"レンタルサーバ",
"mysv":"自宅サーバ",
"php":"Webプログラミング",
"hack":"ネットワーク",
"sec":"セキュリティ",
"network":"通信技術",
"friend":"ポストペット・IRC",
"isp":"プロバイダー",
"netspot":"ネットカフェ・漫画喫茶・無線LANスポット",
"nifty":"Nifty",
"mmag":"メルマガ",
"nanmin":"難民",
"ad":"宣伝掲示板",
"esite":"ネットサービス",
"streaming":"YouTube",
"mdis":"音楽配信",
"blog":"ブログ",
"sns":"ソーシャルネットワーク",
"net":"ネットウォッチ",
"yahoo":"オークション",
"nntp":"nntp",
"bobby":"おいらロビー",
"lobby":"ロビー",
"maru":"●",
"mog2":"なんでもあり",
"mukashi":"昔",
"kitchen":"厨房！",
"tubo":"最悪",
"joke":"学歴",
"shugi":"主義・主張",
"rights":"人権問題",
"accuse":"批判要望",
"morningcoffee":"モ娘（狼）",
"ranking":"格付け",
"siberia":"シベリア超速報",
"news4vip":"ニュース速報(VIP)",
"heaven4vip":"天国",
"neet4vip":"ニー速",
"hnews":"ピンクニュース",
"pinkqa":"pink初心者",
"sureh":"大人のスレH・エロ会話板",
"erolive":"大人の実況",
"hneta":"えっちねた",
"pinkcafe":"PINKのおいらロビー",
"eromog2":"PINKのなんでもあり",
"ogefin":"お下品",
"pinknanmin":"ぴんく難民",
"erobbs":"pink秘密基地",
"housekeeping":"PINK削除依頼",
"21oversea2":"大人の危ない海外",
"hgame":"エロゲー",
"hgame2":"エロゲー(作品別)",
"erog":"エロゲネタ",
"leaf":"Leaf・key",
"adultsite":"アダルトサイト",
"webmaster":"ウェブマスター",
"avideo":"AV総合",
"avideo2":"AV女優",
"nude":"ヌード・エロ本",
"eroanime":"エロアニメ等",
"erocomic":"エロ漫画小説",
"erodoujin":"エロ同人",
"natuero":"懐かしエロ",
"kgirls":"韓国美人",
"erocosp":"エロコスプレ",
"eroacademy":"PINKな学問",
"mcheck":"大人の健康相談",
"couple":"夫婦生活",
"kageki":"過激な恋愛",
"kageki2":"大人の過激な恋愛",
"onatech":"オナテク",
"loveho":"ラブホテル・モーテル",
"adultgoods":"アダルトグッズ",
"adultaccessory":"大人の飾り",
"sm":"ＳＭ",
"feti":"フェチ",
"mature":"熟女",
"okama":"おかま・おなべ",
"gaypink":"大人の同性愛",
"lesbian":"レズ・百合萌え",
"eroaa":"エロAA",
"erochara":"キャラサロン",
"erochara2":"オリキャラなりきり",
"801":"８０１",
"erocg":"お絵描き・創作",
"eroparo":"エロパロ",
"ascii":"半角文字列",
"ascii2d":"半角二次元",
"ascii2kana":"半角かな",
"girls":"アイドル画像",
"sportgirls":"スポーツ画像",
"club":"風俗全般",
"pub":"お水・出会い系",
"host":"ホストクラブ",
"nuki":"へるす",
"soap":"ソープ",
"neet4pink":"ニー速(pink)",
"cherryboy":"童貞",
"megami":"女神",
"tawara":"会議室",
"hokkaidou":"北海道",
"touhoku":"東北",
"kousinetu":"北陸・甲信越",
"kanto":"関東",
"tokyo":"東京",
"tama":"多摩",
"kana":"神奈川",
"toukai":"東海",
"kinki":"近畿",
"osaka":"大阪",
"cyugoku":"中国",
"sikoku":"四国",
"kyusyu":"九州",
"okinawa":"沖縄"
}

/** スキン側で独自に履歴を管理します。
 * @static
 */
var HistoryManager = {
	/** 履歴のデータ
	 * @type Array
	 * @example
	 * [
	 *     ["http://pc11.2ch.net/test/read.cgi/software/1188656807/", "bbs2chreader Part12"],
	 *     ["http://pc11.2ch.net/test/read.cgi/tech/1164625238/", "Mozillaでプログラミング(XUL) その3"],
	 *     ["http://ex21.2ch.net/test/read.cgi/f1/1181576414/", "アレックス・ヴルツ"]
	 * ]
	 */
	items: [],
	/** 履歴の最大保存件数
	 * @type Number
	 */
	maxCount: 0,
	/** 履歴のデータを読み込み、現在開いているスレッドのデータを追加して保存します。*/
	initialise: function() {
		this.load();
		this.maxCount = SkinPref.getInt("valueHistoryItemCounts", 32);
		this.add(EXACT_URL, ThreadDocument.title);
		this.save();
	},
	/** globalStorage から履歴のデータを読み込み eval() で評価します。結果は自動的に items プロパティに格納されます。*/
	load: function() {
		this.items = eval(SkinPref.getStr("valueHistoryManager","([])"));
	},
	/** eval() で評価するのに都合の悪い文字をエスケープします。
	 * @param  {String} e 文字列
	 * @return {String} エスケープされた文字列
	 */
	escape: function(e) {
		return e.replace(/([\\"'])/g,"\\$1")
	},
	/** globalStorage に履歴のデータを eval() で評価できる形で保存します。*/
	save: function() {
		var arrayTemp=[];
		for (var i = 0; i < this.items.length; i++) {
			
			arrayTemp.push('["' + this.escape(this.items[i][0]) + '","' + this.escape(this.items[i][1]) + '"]');
		}
		SkinPref.setStr("valueHistoryManager", "([" + arrayTemp.join(",") + "])")
	},
	/** 履歴を追加します。保存件数を超えたものは古いものから削除されます。
	 * @param {String} url   URI
	 * @param {String} title スレッドタイトル
	 */
	add: function(url, title) {
		for (var i = 0; i < this.items.length; i++) {
			if (this.items[i][0] == url) {
				this.items.push(this.items[i]);
				this.items.splice(i,1);
				return;
			}
		}
		if (this.items.length >= this.maxCount) this.items.shift();
		this.items.push([url, title]);
	},
	/** globalStorage から履歴のデータを削除します。*/
	clear: function() {
		SkinPref.remove("valueHistoryManager");
	},
	/** 履歴のデータから、指定されたインデックスの URI を取得します。
	 * @param  {Number} index インデックス
	 * @return {String} URI
	 */
	getUrl: function(index) {
		return this.items[index][0];
	},
	/** 履歴のデータから、指定されたインデックスのスレッドタイトルを取得します。
	 * @param  {Number} index インデックス
	 * @return {String} スレッドタイトル
	 */
	getThreadTitle: function(index) {
		return this.items[index][1];
	},
	/** 履歴のデータから、指定されたインデックスの板の名称を取得します。
	 * @param  {Number} index インデックス
	 * @return {String} 板の名前
	 */
	getBoardName: function(index) {
		var array = this.items[index][0].split("/");
		for (var i = 0; i < array.length; i++) if (array[i] == "read.cgi") break;
		return boardTable[array[i+1]] ? boardTable[array[i+1]] : array[i+1];
	},
	/** 履歴のデータから、指定されたインデックスの板の URI を  bbs2chreader 形式で取得します。
	 * @param  {Number} index インデックス
	 * @return {String} URI
	 */
	getBoardUrl: function(index) {
		return this.items[index][0].replace(/(.*)test\/read\.cgi\/(.*?)\/.*/,"bbs2ch:board:$1$2/");
	},
	getContextMenuItems: function() {
		
	}
}